JTS Topology Suite version 1.13

## com.vividsolutions.jts.io
Class InputStreamInStream

    java.lang.Object
      com.vividsolutions.jts.io.InputStreamInStream

All Implemented Interfaces:
  InStream

    public class InputStreamInStream

extends java.lang.Object
implements InStream

An adapter to allow an `InputStream` to be used as an `InStream`

Constructor Summary
`InputStreamInStream(java.io.InputStream is)`

Method Summary
`void` `read(byte[] buf)` Reads `buf.length` bytes from the input stream and stores them in the supplied buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStreamInStream

    public InputStreamInStream(java.io.InputStream is)

Method Detail

### read

    public void read(byte[] buf)
              throws java.io.IOException

  Description copied from interface: `InStream`
  Reads `buf.length` bytes from the input stream and stores them in the supplied buffer.

  Specified by:
    `read` in interface `InStream`
  Parameters:
    `buf` - the buffer to receive the bytes
  Throws:
    `java.io.IOException` - if an I/O error occurs

JTS Topology Suite version 1.13